TAUEX(1)

NAME
tauex - Allows you to choose a tau/papi configuration at runtime.

SYNOPSIS

tauex [-v] [-u User mode counts] [-k Kernel mode counts] [-S Supervisor mode counts] [-I Interrupt mode counts] [-a] [-m] [-e PAPI event] [-T TAU option] [-XrunTAU TAU options] {--} {executable} [executable options]

DESCRIPTION

Replace this script by the execuable during runtime to dynamically load a TAU profiling/tracing option or to select which papi events/domain to use during execuation of the application. If we compile TAU with the -optShared option and link in the libTAU.so, At runtime tauex will set the LD_LIBRARY_PATH and pass any other parameters (or papi events) to the program and execute it with the specified TAU measurement option.

OPTIONS

-v  Verbose mode.

-a  Count all native events (implies -m).

-m  Multiple runs (enough runs to gather all events).

-u User mode counts
    Instructs PAPI to only count user events.

-k Kernel mode counts
    Instructs PAPI to only count kernel events.

-S Supervisor mode counts
    Instructs PAPI to only count Supervisor/Hypervisor events.

-I Interrupt mode counts
    Instructs PAPI to only count Interrupt events.

-e PAPI event
    set the PAPI to profile this native or local event.

-T TAU option
    Profiles the application with this TAU option (requires TAU to be built with this option).

Application executable
    The Application you want TAU or PAPI to profile.

Application option
    Any Application options you need to specify.

EXAMPLE

mpirun -np 2 tauex -e PAPI_TOT_CYC -e PAPI_FP_OPS -T MPI,PROFILE -- ./ring